Loading...
Searching...
No Matches
Gfx::EngineTriangle Struct Reference

A triangle drawn by the graphics engine. More...

`#include <src/graphics/engine/engine.h>`

## Public Attributes

VertexTex2 | triangle [3]
| Triangle vertices.
Material | material
| Material.
int | state = ENG_RSTATE_NORMAL
| Render state.
std::string | tex1Name
| 1st texture
std::string | tex2Name
| 2nd texture

## Detailed Description

A triangle drawn by the graphics engine.

## Member Data Documentation

## triangle

VertexTex2 Gfx::EngineTriangle::triangle[3]

Triangle vertices.

## material

Material Gfx::EngineTriangle::material

Material.

## state

int Gfx::EngineTriangle::state = ENG_RSTATE_NORMAL

Render state.

## tex1Name

std::string Gfx::EngineTriangle::tex1Name

1st texture

## tex2Name

std::string Gfx::EngineTriangle::tex2Name

2nd texture

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h